<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.usermodel.Range (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.usermodel.Range (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/Range.html" target="_top">Frames</a>
        </li>
        <li><a href="Range.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.usermodel.Range" class="title">Uses of Class<br>org.apache.poi.hwpf.usermodel.Range
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf">org.apache.poi.hwpf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.converter">org.apache.poi.hwpf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.extractor">org.apache.poi.hwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                title="class in org.apache.poi.hwpf.usermodel">Range</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getCommentsRange--">getCommentsRange</a></span>()</code>
                                <div class="block">Returns the <a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel"><code>Range</code></a> which
                                    covers all annotations.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getEndnoteRange--">getEndnoteRange</a></span>()</code>
                                <div class="block">Returns the <a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel"><code>Range</code></a> which
                                    covers all endnotes.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getFootnoteRange--">getFootnoteRange</a></span>()</code>
                                <div class="block">Returns the <a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel"><code>Range</code></a> which
                                    covers all the Footnotes.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getHeaderStoryRange--">getHeaderStoryRange</a></span>()</code>
                                <div class="block">Returns the range which covers all "Header Stories".</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getMainTextboxRange--">getMainTextboxRange</a></span>()</code>
                                <div class="block">Returns the <a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel"><code>Range</code></a> which
                                    covers all textboxes.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getOverallRange--">getOverallRange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFOldDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getOverallRange--">getOverallRange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>abstract <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocumentCore.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getOverallRange--">getOverallRange</a></span>()</code>
                                <div class="block">Returns the range that covers all text in the file, including main
                                    text,
                                    footnotes, headers and comments
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getRange--">getRange</a></span>()</code>
                                <div class="block">Returns the range which covers the whole of the document, but
                                    excludes
                                    any headers and footers.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFOldDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getRange--">getRange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>abstract <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocumentCore.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getRange--">getRange</a></span>()</code>
                                <div class="block">Returns the range which covers the whole of the document, but
                                    excludes
                                    any headers and footers.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                title="class in org.apache.poi.hwpf.usermodel">Range</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">processBookmarks</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel,
                                java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                                        title="interface in org.apache.poi.hwpf.usermodel">Bookmark</a>&gt;&nbsp;rangeBookmarks)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">processBookmarks</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel,
                                java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                                        title="interface in org.apache.poi.hwpf.usermodel">Bookmark</a>&gt;&nbsp;rangeBookmarks)</code>
                                <div class="block">Wrap range into bookmark(s) and process it.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">processBookmarks</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel,
                                java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                                        title="interface in org.apache.poi.hwpf.usermodel">Bookmark</a>&gt;&nbsp;rangeBookmarks)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">processBookmarks</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel,
                                java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                                        title="interface in org.apache.poi.hwpf.usermodel">Bookmark</a>&gt;&nbsp;rangeBookmarks)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processCharacters-org.apache.poi.hwpf.HWPFDocumentCore-int-org.apache.poi.hwpf.usermodel.Range-org.w3c.dom.Element-">processCharacters</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDeadField-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-int-int-int-">processDeadField</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel,
                                int&nbsp;beginMark,
                                int&nbsp;separatorMark,
                                int&nbsp;endMark)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processDocumentPart-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-">processDocumentPart</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDocumentPart-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-">processDocumentPart</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processDocumentPart-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-">processDocumentPart</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processField-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.Range-int-org.apache.poi.hwpf.usermodel.Field-org.w3c.dom.Element-">processField</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parentRange,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">Field</a>&nbsp;field,
                                org.w3c.dom.Element&nbsp;currentBlock)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processHyperlink-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processHyperlink</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;hyperlink)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processHyperlink-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processHyperlink</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;hyperlink)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processHyperlink-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processHyperlink</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;hyperlink)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processHyperlink-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processHyperlink</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;hyperlink)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processNoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-java.lang.String-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processNoteAutonumbered</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                java.lang.String&nbsp;type,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;noteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processPageref-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processPageref</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;pageref)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processPageref-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processPageref</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;pageref)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processPageref-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processPageref</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;hwpfDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;pageref)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processPageref-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processPageref</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;hwpfDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;pageref)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processParagraphes-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-">processParagraphes</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;flow,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected int</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#tryDeadField-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-int-int-org.w3c.dom.Element-">tryDeadField</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel,
                                int&nbsp;beginMark,
                                org.w3c.dom.Element&nbsp;currentBlock)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                title="class in org.apache.poi.hwpf.usermodel">Range</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static java.lang.String[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/extractor/WordExtractor.html#getParagraphText-org.apache.poi.hwpf.usermodel.Range-">getParagraphText</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;r)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                title="class in org.apache.poi.hwpf.usermodel">Range</a> in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></span></code>
                                <div class="block">This class represents a run of text that share common properties.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ListEntry.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ListEntry</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Section</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Table</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/TableCell.html"
                                    title="class in org.apache.poi.hwpf.usermodel">TableCell</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/TableRow.html"
                                    title="class in org.apache.poi.hwpf.usermodel">TableRow</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                title="class in org.apache.poi.hwpf.usermodel">Range</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#firstSubrange-org.apache.poi.hwpf.usermodel.Range-">firstSubrange</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteContNoteSubrange--">getEndnoteContNoteSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteContSeparatorSubrange--">getEndnoteContSeparatorSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteSeparatorSubrange--">getEndnoteSeparatorSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEvenFooterSubrange--">getEvenFooterSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEvenHeaderSubrange--">getEvenHeaderSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFirstFooterSubrange--">getFirstFooterSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFirstHeaderSubrange--">getFirstHeaderSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteContNoteSubrange--">getFootnoteContNoteSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteContSeparatorSubrange--">getFootnoteContSeparatorSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteSeparatorSubrange--">getFootnoteSeparatorSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getOddFooterSubrange--">getOddFooterSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getOddHeaderSubrange--">getOddHeaderSubrange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HeaderStories.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getRange--">getRange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#secondSubrange-org.apache.poi.hwpf.usermodel.Range-">secondSubrange</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                title="class in org.apache.poi.hwpf.usermodel">Range</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#firstSubrange-org.apache.poi.hwpf.usermodel.Range-">firstSubrange</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkEndCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkEndCharacterRun</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkSeparatorCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkSeparatorCharacterRun</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkStartCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkStartCharacterRun</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Paragraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html#newParagraph-org.apache.poi.hwpf.usermodel.Range-org.apache.poi.hwpf.model.PAPX-">newParagraph</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                   title="class in org.apache.poi.hwpf.model">PAPX</a>&nbsp;papx)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#secondSubrange-org.apache.poi.hwpf.usermodel.Range-">secondSubrange</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                title="class in org.apache.poi.hwpf.usermodel">Range</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html#Range-int-int-org.apache.poi.hwpf.usermodel.Range-">Range</a></span>(int&nbsp;start,
                                int&nbsp;end,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>
                                <div class="block">Used to create Ranges that are children of other Ranges.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Section.html#Section-org.apache.poi.hwpf.model.SEPX-org.apache.poi.hwpf.usermodel.Range-">Section</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/SEPX.html"
                                    title="class in org.apache.poi.hwpf.model">SEPX</a>&nbsp;sepx,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/TableIterator.html#TableIterator-org.apache.poi.hwpf.usermodel.Range-">TableIterator</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/Range.html" target="_top">Frames</a>
        </li>
        <li><a href="Range.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
